#
# spec file for package toutdoux (Version 1.2.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel docbktls docbook-dsssl-stylesheets docbook_3 esound esound-devel gdk-pixbuf gdk-pixbuf-devel getxml glib glib-devel gnome-libs gnome-libs-devel gnome-utils gpc gpp gtk gtk-devel gxmhtml imlib imlib-devel indent iso_ent jade_dsl libgpp libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel postgresql postgresql-devel sp sp-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils docbktls docbook-dsssl-stylesheets docbook_3 e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext getxml glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-utils gpc gpm gpp gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent iso_ent jade_dsl kbd less libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl postgresql postgresql-devel ps rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         toutdoux
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Applications
  
Autoreqprov:  on
Version:      1.2.7
Release:      141
Summary:      little project manager
Source: toutdoux-%{version}.tar.gz
URL: http://toutdoux.sourceforge.net/
BuildRoot: /var/tmp/toutdoux-root
Docdir: %{_defaultdocdir}/toutdoux
Patch: app.dif

%description
ToudToux is a little project manager for GNOME.

Authors:
--------
    Philippe Roy <ph_roy@yahoo.com>

SuSE series: gnm

%prep
%setup -n ToutDoux-%{version}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
CFLAGS="$RPM_OPT_FLAGS" \
make DESTDIR=$RPM_BUILD_ROOT

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/gnome/lib/toutdoux/plugins
cp -R /opt/gnome/lib/toutdoux/* $RPM_BUILD_ROOT/opt/gnome/lib/toutdoux/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING toutdoux.fsfdb 
%{prefix}/*

%changelog -n toutdoux
* Mon Sep 17 2001 - hhetter@suse.de
- added missing plugin-libraries for the various Toutdoux
  modules ( Bug Id #10706 )
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Jul 13 2001 - ro@suse.de
- added sp, sp_libs to neededforbuild (for jade)
- added docbooc_3, iso_ent
* Wed Jun 27 2001 - hhetter@suse.de
- update to version 1.2.7
- enabled postgresql support
- added missing dependencies
* Thu Mar 15 2001 - hhetter@suse.de
- initial Build
